<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
    <head>
    <th:block th:include="fragments/header"></th:block>
</head>
<body>
    <div class="container-fluid px-0">
        <th:block th:include="fragments/navbar"></th:block>
        <div class="row justify-content-center">
            <div class="col-lg-6 col-md-12 col-sm-12 justify-content-center">
                <form name="login" class="pr-3 pl-3" th:action="@{/login}" method="post">
                    <h1 class="text-center my-5">
                        Bejelentkezés
                    </h1>
                    <div th:if="${param.logout}"
                         class="alert alert-success">
                        Sikeresen kijelentkeztél!
                    </div>
                    <div th:if="${user_registration_message == 'registration_success'}"
                         class="alert alert-success">
                        Sikeres regisztráció! <br>
                        Információs emailt kiküldtük.                            
                    </div>
                    <div th:if="${activation == 'activation_success'}"
                         class="alert alert-success">
                        Sikeres aktiválás!
                    </div>
                    <div th:if="${activation == 'key_not_empty'}"
                         class="alert alert-danger">
                        Az aktiváló link nem megfelelő! Használja az email-ben kapott linket.
                    </div>
                    <div th:if="${activation == 'key_not_found'}"
                         class="alert alert-danger">
                        Az aktiváló link nem megfelelő! Használja az email-ben kapott linket.
                    </div>
                    <div th:if="${activation == 'activation_code_required'}"
                         class="alert alert-danger">
                        Az aktiváló link nem megfelelő! Használja az email-ben kapott linket.
                    </div>
                    <div th:if="${activation == 'key_format_not_correct'}"
                         class="alert alert-danger">
                        Az aktiváló link nem megfelelő! Használja az email-ben kapott linket.
                    </div>
                    <div id="err" th:if="${param.error}"
                         class="alert alert-danger">
                        Hibás felhasználói név vagy jelszó
                    </div>
                    <div th:if="${passwordReset == 'password_reset_success'}"
                         class="alert alert-success">
                        Jelszó módosítás sikerült! Kérem jelentkezzen be.
                    </div>
                    <div class="form-group">
                        <input type="text" id="username" name="username" class="form-control" th:placeholder="Felhasználónév" required="true" />
                    </div>

                    <div class="form-group">
                        <input type="password" id="password" name="password" class="form-control" th:placeholder="Jelszó" required="true" />
                    </div>
                    <div class="d-flex justify-content-end form-group">
                        <button class="btn btn-primary" id="submit">
                            Küldés
                            <i class="fa fa-long-arrow-right" aria-hidden="true"></i>
                        </button>
                    </div>
                </form>
            </div>    
        </div>
        <div class="row justify-content-center">
            <div class="mt-4 justify-content-center">
                <div class="d-flex justify-content-center links">
                    <p>
                        Nincs még felhasználóm? 
                    </p>&nbsp;
                    <p>
                        <a th:href="@{/user-registration}">
                            Regisztrálok
                        </a>
                    </p>
                </div>
                <div class="d-flex justify-content-center links">
                    <a th:href="@{/forgot-password}">
                        Elfelejtettem a jelszavam!
                    </a>
                </div>
            </div>   
        </div> 
    </div> 
<th:block th:include="fragments/footer"></th:block>
<script>
    $(document).ready(function () {
        $("#submit").click(function () {
            $(this).html(
                    `<span class="spinner-border spinner-border-sm" role="status" aria-hidden="true"></span>`
                    );
        });
    });
</script>
</body>
</html>
